Subject: bug#31184: tail -f on Network FS not refreshing as soon as the file is changed.

From: Jewsco Pius Jacquez <[email-masked]>
Date: Mon, 30 Apr 2018 21:09:38 +0000

Pádraig, did you get a chance to look into this?

Thanks,
Jewsco

-----Original Message-----
From: Jewsco Pius Jacquez 
Sent: Thursday, April 19, 2018 9:43 AM
To: 'Pádraig Brady' <[email-masked]>; [email-masked]
Subject: RE: bug#31184: tail -f on Network FS not refreshing as soon as the file is changed.

Pádraig, thanks for your response.

In my reproducer environment, it doesn't totally update. RHEL7 Samba server, RHEL6 Samba client.

Unless I provided the extra interval parameter. 

When I run it in Redhat9, I don't need any extra, it refresh automatically.

[jjacquez@cmilsbtest03 src]$ ./tail --version tail (GNU coreutils) 8.29 Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor, and Jim Meyering.
[jjacquez@cmilsbtest03 src]$ date; time ./tail -f /media/samba/test.file Thu Apr 19 09:28:48 CDT 2018 Thu Apr 19 09:28:47 CDT 2018 Thu Apr 19 09:28:48 CDT 2018 Thu Apr 19 09:28:48 CDT 2018 Thu Apr 19 09:28:48 CDT 2018 Thu Apr 19 09:28:48 CDT 2018 Thu Apr 19 09:28:48 CDT 2018 Thu Apr 19 09:28:48 CDT 2018 Thu Apr 19 09:28:48 CDT 2018 Thu Apr 19 09:28:48 CDT 2018 Thu Apr 19 09:28:48 CDT 2018

^C
real    10m51.467s
user    0m0.009s
sys     0m0.006s

[jjacquez@cmilsbtest03 src]$ date; time ./tail -f /media/samba/test.file Thu Apr 19 09:39:42 CDT 2018 Thu Apr 19 09:39:38 CDT 2018 Thu Apr 19 09:39:38 CDT 2018 Thu Apr 19 09:39:38 CDT 2018 Thu Apr 19 09:39:38 CDT 2018 Thu Apr 19 09:39:38 CDT 2018 Thu Apr 19 09:39:38 CDT 2018 Thu Apr 19 09:39:38 CDT 2018 Thu Apr 19 09:39:38 CDT 2018 Thu Apr 19 09:39:39 CDT 2018 Thu Apr 19 09:39:39 CDT 2018 ^C
real    0m3.908s
user    0m0.000s
sys     0m0.001s

[jjacquez@cmilsbtest03 src]$

-----Original Message-----
From: Pádraig Brady [mailto:[email-masked]]
Sent: Wednesday, April 18, 2018 10:04 PM
To: Jewsco Pius Jacquez <[email-masked]>; [email-masked]
Subject: Re: bug#31184: tail -f on Network FS not refreshing as soon as the file is changed.

Could you clarify whether the rhel7 version of tail is too slow when showing updates to the file, or misses updates to the file entirely.

There have been various fixes to tail, so it would be worth verifying how the latest behaves, like:

  wget https://ftpmirror.gnu.org/coreutils/coreutils-8.29.tar.xz
  tar -xf coreutils-8.29.tar.xz
  cd coreutils-8.29
  ./configure --quiet && make -j$(nproc)
  src/tail -f /media/samba/test.file

cheers,
Pádraig
This message and the information contained herein is proprietary and confidential and subject to the Amdocs policy statement,

you may review at https://www.amdocs.com/about/email-disclaimer <https://www.amdocs.com/about/email-disclaimer>